interface Order {
  id?: number;
  deviceId?: number; //设备id
  deviceName?: string; // 设备名称
  userId?: number | string; //供应商id
  cardId?: number; //库存卡id
  cardNumber?: string; //undefined
  userName?: string; //undefined
  productId?: number | string; //产品id
  productName?: string; //undefined
  imagesId?: number | undefined; //弃用
  imageUrls?: string; //弃用
  carNumber?: string; //车牌号
  receiptNumber?: string; //收货单号
  grossWeight?: number; //毛重
  tare?: string; //皮重
  grossTime?: string; //过毛日期
  tareTime?: string; //过皮日期
  netWeight?: string; //净重
  buttonType?: number; //扣杂状态：0扣杂1扣点
  points?: number; //扣点
  buckleMiscellaneous?: number; //扣杂
  price?: string; //单价
  balanceTotalPrice?: string; //结算总价 货款金额
  totalPrice?: string; //实际总价 预估价格
  weighingMethod?: number; //称重方式：0：有皮重 1：零皮重
  multiCategory?: number; //多品类：0：单品类 1：多品类
  notes?: string; //备注
  scaleStatus?: number; // 磅单状态:0：待定价1：待过皮2：待审核3：已审核待支付4：已支付
  paymentMethod?: string; //支付方式：0:未支付,1:现金支付，2：银行卡支付，3：线上支付（微信）4：支付宝
  updateTime?: string; //修改时间
  repairTime?: string; //补单时间
  createTime?: string; //创建时间
  updateUserId?: number; //修改人
  createUserId?: number; //创建人
  reviewerUserId?: string; //审核人
  reviewerUserName?: string; // 审核人名称
  pricingUserId?: string; //定价人
  pricingUserName?: string; //定价人名称
  fileList?: array;
  subtractNum?: number; // input 扣杂扣点参数
  isChecked?: boolean;
  [attrName: string]: any;
}
interface Shipment {
  id?: string;
  userId?: number; //供应商id
  productId?: number; //产品id
  cardId?: number; //库存卡id
  imagesId?: number; //图片表id
  deviceId?: number; //设备id
  carNumber?: string; //车牌号
  scaleStatus?: number; //出库单状态
  orderNumber?: string; //订单编号
  grossWeight?: number; //毛重
  grossTime?: string; //过毛时间
  tare?: number; //皮重
  tareTime?: string; //过皮时间
  netWeight?: string; //净重
  number?: number; //数量
  notes?: string; //备注
  settlementNotes?: string; //结算备注
  deliveryMethod?: string; //提货方式:0:送货1:自提
  phone?: string; //手机号
  box?: string; //箱号
  title?: string; //封号
  freight?: string; //运费
  incidentals?: string; //杂费
  pricingPerson?: string; //定价人
  reviewerId?: string; //审核人
  buttonType?: string; //扣点状态：默认0：扣杂1扣点
  points?: string; //扣点
  buckleMiscellaneous?: string; //扣杂
  unitPrice?: string; //结算单价
  estimatePrice?: string; //预估金额
  totalPrice?: string; //结算金额
  realIncome?: string; //实际收入
  errorPrice?: string; //误差金额
  repairTime?: string; //补单时间
  createTime?: string; //undefined
  createUserId?: string; //undefined
  updateUserId?: string; //undefined
  updateTime?: string; //undefined
  isDeleted?: string; //删除标识true删除，false未删除
  [attrName: string]: any;
}
// 分页结构
interface OrderPage<T> {
  total: number;
  list: T;
  pageNum: number;
  pageSize: number;
}

interface ReceiveSummary {
  totalReceipt: number; // 本月总出货
  totalExpenditure: number; // 本月总收入
  toBePriced: number; // 待收货
  toBeTare: number; // 待过皮重
  audit: number; // 付款审核
  toBePaid: number; // 待支付
}

type PageParams = {
  pageNumber: number;
  pageSize: number;
  pricingUserId?: string; // 定价人
  userId?: string; // 供应商id
  productId?: string; // 产品id
  repairFlag?: boolean; // 是否为补单,true 是未补单，false是补单
  scaleStatus?: number; // 磅单状态:0：待定价1：待过皮2：待审核3：已审核待支付4：已支付
};
